精华内容
下载资源
问答
  • 博文链接:https://ice-cream.iteye.com/blog/183359
  • cad图层工具,快速关闭图层(更新至7个快捷键)
  • 那么制图过程中,我们如何了解CAD关闭图层快捷键,隐藏显示的CAD图层呢? 1.先启动运行CAD看图软件,点 击菜单栏里的【打开文件】或是【打开图纸】选项图标。 2.在弹出的【打开】弹窗中, 找到我们需要的CAD图纸打开...

    在绘制CAD图纸的时候,我们都知道图层分类是很常见的。在图层元素非 常多的时候,隐藏不需要的图层,可以大大提 高绘图效率。那么制图过程中,我们如何了解CAD关闭图层快捷键,隐藏显示的CAD图层呢?
    1.先启动运行CAD看图软件,点 击菜单栏里的【打开文件】或是【打开图纸】选项图标。
    2.在弹出的【打开】弹窗中, 找到我们需要的CAD图纸打开。
    3.同时可以选择是否勾选【文件夹和分类】(表示小树苗项目分类)。可在下次启动CAD看图软件立 刻进入桌面文件分类管理界面查看。
    4.这时候我们可以看到打开的CAD图纸显示在看图框中。我们可以在菜单栏中选择需要的选项图标对CAD图纸进行各 种操作。
    5.例如,此时我们点 击【图层显示】图标会弹出【图层】弹窗。在【图层】弹窗中,可以看到各个图层的名称、开关、线条颜色。
    6.我们找到需要关闭的图层名称,然后点 击关闭小灯泡图标开关。这时候需要关闭的图层就会立 刻关闭。
    7.我们可以在看图框中看到CAD图纸中关闭的图层隐藏起来不显示了。
    CAD关闭图层快捷键,隐藏显示的CAD图层GIF演示:
    以上就是在CAD看图软件中操作,CAD关闭图层快捷键,隐藏显示的CAD图层具体演示。这一方法非 常简单 方便,你不妨自己来试一下吧!

    展开全文
  • 可以打开/关闭图层,也可以自定义工程图。 该程序允许用户在GUI中渲染OSM文件。 GUI使用户可以轻松修改可见的图层以及这些图层的样式。 基本演示视频 脚步 下载源代码, python main.py是在命令行中键入python ...
  • openlayers图层开关控件

    2019-07-27 11:47:10
    openlayers图层开关控件,支持图层开关,增删图层控件自动联动,支持openlayers4、openlayers5版本
  • CAD用lsp批量冻结指定图层,把后缀改为txt可进入修改,例如:(command "layer" "f" "TEXT_门窗编号_A" "")需冻结的层为 TEXT_门窗编号_A,冻结为f,开图层为on,关图层为off
  • 主要介绍了JQuery实现展开关闭层的方法,实例分析了jQuery的slideToggle方法使用技巧,具有一定参考借鉴价值,需要的朋友可以参考下
  • CAD开关图层小插件

    2015-03-18 16:28:20
    快捷开关各种图层,方便测量等专业用CASS,CAD作图
  • 开关图层快捷命令

    2013-12-10 14:16:13
    da 打开全部图层 qq清理空图层 d只打开选定对象的图层.
  • mylayer.Name = "我的图层"; axTOCControl1.Update(); } private void axTOCControl1_OnMouseDown(object sender, ESRI.ArcGIS.Controls.ITOCControlEvents_OnMouseDownEvent e) { } private void button2...

    注意:需要引用命名空间为ESRI.ArcGIS.Carto,全部代码如下:

     

    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Data;
    using System.Drawing;
    using System.Linq;
    using System.Text;
    using System.Threading.Tasks;
    using System.Windows.Forms;
    using ESRI.ArcGIS.Carto;
    
    namespace gistest1
    {
        public partial class Form1 : Form
        {
            public Form1()
            {
                InitializeComponent();
            }
    
            private void axToolbarControl1_OnMouseDown(object sender, ESRI.ArcGIS.Controls.IToolbarControlEvents_OnMouseDownEvent e)
            {
    
            }
    
            private void button1_Click(object sender, EventArgs e)
            {
                IFeatureLayer mylayer = axMapControl1.get_Layer(0) as IFeatureLayer;
                mylayer.Name = "我的图层";
                axTOCControl1.Update();
            }
    
            private void axTOCControl1_OnMouseDown(object sender, ESRI.ArcGIS.Controls.ITOCControlEvents_OnMouseDownEvent e)
            {
    
            }
    
            private void button2_Click(object sender, EventArgs e)
            {
                IFeatureLayer mylayer = axMapControl1.get_Layer(0) as IFeatureLayer;
                mylayer.MaximumScale = 1000000;
                mylayer.MinimumScale =4000000;
                axMapControl1.Refresh();
            }
    
            private void button3_Click(object sender, EventArgs e)
            {
                IFeatureLayer mylayer = axMapControl1.get_Layer(0) as IFeatureLayer;
                mylayer.Visible = true;
                axMapControl1.Refresh();
    
            }
    
            private void button4_Click(object sender, EventArgs e)
            {
                IFeatureLayer mylayer = axMapControl1.get_Layer(0) as IFeatureLayer;
                mylayer.Visible = false;
                axMapControl1.Refresh();
            }
        }
    }
    

     

    展开全文
  • 基于浩辰CAD 2019测试 功能实现 ...[CommandMethod("CreateAndAssignAlayer")] //新建图层 然后添加到图层表里 public static void CreateAndAssignAlyer() { Document doc = Application.DocumentManager.M...

    基于浩辰CAD 2019测试 功能实现

    直接上代码:

    [CommandMethod("CreateAndAssignAlayer")] //新建图层 然后添加到图层表里
    public static void CreateAndAssignAlyer()
    {
    Document doc = Application.DocumentManager.MdiActiveDocument;
    Database db = doc.Database;
    using (Transaction Trans = db.TransactionManager.StartTransaction())
    {
    //以读模式打开图层表
    LayerTable layerTable;
    layerTable = Trans.GetObject(db.LayerTableId, OpenMode.ForNotify) as LayerTable;
    string sLayerName = "test1";
    if (layerTable.Has(sLayerName) == false)
    {
    LayerTableRecord layerTableRecord = new LayerTableRecord();
    layerTableRecord.Color = Color.FromColorIndex(ColorMethod.ByAci, 1);
    layerTableRecord.Name = sLayerName;
    layerTable.UpgradeOpen();
    layerTable.Add(layerTableRecord);
    Trans.AddNewlyCreatedDBObject(layerTableRecord, true);
    }
    BlockTable blockTable;
    blockTable = Trans.GetObject(db.BlockTableId, OpenMode.ForRead) as BlockTable;
    BlockTableRecord blockTableRecord;
    blockTableRecord = Trans.GetObject(blockTable[BlockTableRecord.ModelSpace], OpenMode.ForWrite) as BlockTableRecord;
    Circle circle = new Circle();
    circle.Center = new Point3d(100, 200, 0);
    circle.Radius = 300;
    circle.Layer = sLayerName;
    blockTableRecord.AppendEntity(circle);
    Trans.AddNewlyCreatedDBObject(circle, true);
    db.Clayer = layerTable[sLayerName];
    Trans.Commit();
    }
    }
    [CommandMethod("TurnLayerOff")] //关闭图层表
    public void TurnLayerOff()
    {
    Document doc = Application.DocumentManager.MdiActiveDocument;
    Database database = doc.Database;
    using (Transaction trans = database.TransactionManager.StartTransaction())
    {
    LayerTable layerTable;
    layerTable = trans.GetObject(database.LayerTableId, OpenMode.ForWrite) as LayerTable;
    String slayer = "20180415";
    LayerTableRecord layerTableRecord;
    if (layerTable.Has(slayer) == false)
    {
    layerTableRecord = new LayerTableRecord();
    layerTableRecord.Color = Color.FromColorIndex(ColorMethod.ByColor, 2);
    layerTableRecord.Name = slayer;
    layerTable.UpgradeOpen();
    layerTable.Add(layerTableRecord);
    trans.AddNewlyCreatedDBObject(layerTableRecord, true);
    }
    else
    {
    layerTableRecord = trans.GetObject(layerTable[slayer], OpenMode.ForWrite) as LayerTableRecord;
    }
    layerTableRecord.IsOff = true;
    BlockTable blockTable;
    blockTable = trans.GetObject(database.BlockTableId, OpenMode.ForRead) as BlockTable;
    BlockTableRecord blockTableRecord = trans.GetObject(blockTable[BlockTableRecord.ModelSpace], OpenMode.ForWrite) as BlockTableRecord;
    Circle cir = new Circle();
    cir.Center = new Point3d(200, 300, 400);
    cir.Radius = 500;
    cir.Layer = slayer;
    blockTableRecord.AppendEntity(cir);
    trans.AddNewlyCreatedDBObject(cir, true);
    trans.Commit();
    }
    }
    [CommandMethod("FrozenLayer")]
    public void FrozenLayer()
    {
    Document document = Application.DocumentManager.MdiActiveDocument;
    Database database = document.Database;
    using (Transaction transaction=database.TransactionManager.StartTransaction())
    {
    LayerTable layerTable;
    layerTable = transaction.GetObject(database.LayerTableId,OpenMode.ForWrite) as LayerTable;
    string aLayer = "test1";
    LayerTableRecord layerTableRecord;
    if (layerTable.Has(aLayer)==false)
    {
    layerTableRecord = new LayerTableRecord();
    layerTableRecord.Color = Color.FromColorIndex(ColorMethod.ByAci,3);
    layerTableRecord.Name = aLayer;
    layerTable.UpgradeOpen();
    layerTable.Add(layerTableRecord);
    transaction.AddNewlyCreatedDBObject(layerTableRecord, true);
    }
    else
    {
    layerTableRecord = transaction.GetObject(layerTable[aLayer],OpenMode.ForWrite) as LayerTableRecord;
    }
    layerTableRecord.IsFrozen = true;
    BlockTable blockTable = transaction.GetObject(database.BlockTableId, OpenMode.ForRead) as BlockTable;
    BlockTableRecord blockTableRecord = transaction.GetObject(blockTable[BlockTableRecord.ModelSpace],OpenMode.ForWrite) as BlockTableRecord;
    Circle cir = new Circle();
    cir.Center = new Point3d(200, 300, 400);
    cir.Radius = 500;
    cir.Layer = aLayer;
    blockTableRecord.AppendEntity(cir);
    transaction.AddNewlyCreatedDBObject(cir, true);
    transaction.Commit();
    }
    }
    [CommandMethod("SetLayerColor")] //指定图层颜色
    public void SetLayerColor()
    {
    Document doc = Application.DocumentManager.MdiActiveDocument;
    Database database = doc.Database;
    using (Transaction trans=database.TransactionManager.StartTransaction())
    {
    LayerTable layerTable = trans.GetObject(database.LayerTableId, OpenMode.ForWrite) as LayerTable;
    string[] sLayerNames = new string[3];
    sLayerNames[0] = "ACIRed";
    sLayerNames[1] = "TrueBlue";
    sLayerNames[2] = "ColorBookYellow";
    Color[] acColors = new Color[3];
    acColors[0] = Color.FromColorIndex(ColorMethod.ByAci,1);
    acColors[1] = Color.FromRgb(23,54,232);
    acColors[2] = Color.FromNames("PANTONE Yellow 0131 C","PANTONE(R) pastel coated");
    int nCnt = 0;
    foreach (string sLayerName in sLayerNames)
    {
    LayerTableRecord layerTableRecord;
    if (layerTable.Has(sLayerName) == false)
    {
    layerTableRecord = new LayerTableRecord();
    layerTableRecord.Name = sLayerName;
    if (layerTable.IsWriteEnabled == false) layerTable.UpgradeOpen();
    layerTable.Add(layerTableRecord);
    trans.AddNewlyCreatedDBObject(layerTableRecord, true);
    }
    else
    {
    layerTableRecord = trans.GetObject(layerTable[sLayerName], OpenMode.ForWrite) as LayerTableRecord;
    }
    layerTableRecord.Color = acColors[nCnt];
    nCnt++;
    }
    trans.Commit();
    }
    }
    [CommandMethod("SetLayerLineType")]
    public void SetLayerLineType() //设置图层线型
    {
    Document document = Application.DocumentManager.MdiActiveDocument;
    Database database = document.Database;
    using (Transaction transaction = database.TransactionManager.StartTransaction())
    {
    LayerTable layerTable = transaction.GetObject(database.LayerTableId,OpenMode.ForRead) as LayerTable;
    string sLayerName = "ABC";
    LayerTableRecord layerTableRecord;
    if (layerTable.Has(sLayerName) == false)
    {
    layerTableRecord = new LayerTableRecord();
    layerTableRecord.Name = sLayerName;
    layerTable.UpgradeOpen();
    layerTable.Add(layerTableRecord);
    transaction.AddNewlyCreatedDBObject(layerTableRecord, true);
    }
    else
    {
    layerTableRecord = transaction.GetObject(layerTable[sLayerName], OpenMode.ForRead) as LayerTableRecord;
    }
    LinetypeTable linetypeTable = transaction.GetObject(database.LinetypeTableId, OpenMode.ForRead) as LinetypeTable;
    if (linetypeTable.Has("Center") == true)
    {
    layerTableRecord.UpgradeOpen();
    layerTableRecord.LinetypeObjectId = linetypeTable["Center"];
    }
    transaction.Commit();
    }
    }
    [CommandMethod("EraseLayer")]
    public void EraseLayer() //删除图层
    {
    Document document = Application.DocumentManager.MdiActiveDocument;
    Database database = document.Database;
    using (Transaction transaction=database.TransactionManager.StartTransaction())
    {
    LayerTable layerTable = transaction.GetObject(database.LayerTableId, OpenMode.ForRead) as LayerTable;
    string sLayerName = "test1";
    if (layerTable.Has(sLayerName) == true)
    {
    ObjectIdCollection objectIdCollection = new ObjectIdCollection();
    objectIdCollection.Add(layerTable[sLayerName]);
    //database.Purge(objectIdCollection);
    if (objectIdCollection.Count>0)
    {
    LayerTableRecord layerTableRecord = transaction.GetObject(objectIdCollection[0], OpenMode.ForWrite) as LayerTableRecord;
    try
    {
    layerTableRecord.Erase(true);
    transaction.Commit();
    }
    catch(GrxCAD.Runtime.Exception ex)
    {
    Application.ShowAlertDialog("Error:\n" + ex.Message);
    }
    }
    }

    }
    }

    转载于:https://www.cnblogs.com/yannisCad/p/10711664.html

    展开全文
  • arcpy图层描述

    2020-09-15 10:52:51
    更换数据描述字段 为数据名称 # -*-coding:utf-8 import arcpy mxd_path = ur"F:\007git\03管线数据管理子系统\Code-PC\bin\SampleData\Sample\DataMap.mxd" ...# 加载图层 layer_list=arcpy.mappi.

    1、图层描述赋值

    图层描述赋值

    更换数据描述字段 为数据源名称

    # -*-coding:utf-8
    
    import arcpy
    
    mxd_path = ur"F:\007git\Map.mxd"
    
    # 加载mxd
    mxd=arcpy.mapping.MapDocument(mxd_path)
    # 加载数据框
    df=arcpy.mapping.ListDataFrames(mxd)[0]
    # 加载图层
    layer_list=arcpy.mapping.ListLayers(mxd,"",df)
    
    # 更改属性别名
    for layer in layer_list:
        if(layer.isFeatureLayer):
            # 赋值为数据源名称
            layer.description=layer.datasetName.replace('SDE.','')

    声明:

    1)   文章来源项目实践

    2)文章存在任何疑问或问题,请留言,感谢你的阅读!谢谢

    3)原创作品,转载请标注来源!                                                                                                    --- 会飞的鱼@

     

                                                                                                                                             

     

    展开全文
  • 隐藏一个图层的实现思路,得到数据库层表对象,然后根据层名得到层表记录对象,设置层表记录IsOff属性值。 例如代码,让用户在CAD图上选择一个对象,然后隐藏对象所在的图层C#: private void HideLayer() { // ...
  • CASS快捷键

    2017-02-21 13:29:00
    CASS快捷键可以不完全依赖鼠标。
  • 每次当你想要同时关闭这三个图层时,可以不用在图层中进行操作,只要打开图层状态管理器,单击下方的恢复即可。 下面看动图,感受一下图层状态管理器: 惊不惊喜,意不意外,快去试试呀。 CAD自学网官方视频号,...
  • leaflet图层管理,图层

    千次阅读 2018-09-13 10:13:17
    leaflet图层管理,图层组 www.giserdqy.com查看文章详情 图层图层组指多个图层组织成一个图层进行统一管理 图层控制 图层分为两种: 基本图层 地图底图,多个底图只能显示一个 覆盖物 叠加到地图上的...
  • Leaflet初体验0x5 图层组和图层控件

    千次阅读 2019-01-12 23:14:47
    利用图层组将多个图层组织一起,利用图层控件可以实现让用户切换图层图层组 //直接添加到地图 var lgdYL = L.marker([42.046488, 121.655045]).bindPopup('这里是辽工大玉龙校区!').addTo(mymap), lgdXH = L...
  • 使用于cad2007版本及以下,用于图层快速切换,锁定,关闭,批量建立图层工具。优化操作习惯提升工作效率,是机械工程师人得力助手。
  • 目录一、图层介绍二、层的刷新模式三、布局方式 一、图层介绍 QCustomPlot类管理着所有的图层,它默认自带了六个图层,分别是: 背景层background 网格层grid 绘图层main 坐标轴层axes 图例层legend overlay层...
  • Python AutoCAD 图层

    千次阅读 热门讨论 2019-07-20 14:16:23
    新建图层...... 颜色设置...... 线型设置...... 线宽设置......
  • PYQGIS——图层管理器

    2019-12-12 14:57:10
    PYQGIS——图层管理器 界面设计 写代码 程序入口 if __name__ == '__main__': # 应用入口,使用GUI qgs = QgsApplication([], True) # 设置,qgis安装路径,这里写相对路径,如果是源码运行,这行可不写 qgs....
  • JavaScript控制DIV图层打开、关闭实例演示,并没有使用jQuery等JS框架,鼠标点击每一个LI列表时,会相应展开或关闭,仿FLASH的缓冲打开效果,和以往的层展开所达到的效果是一样的,但是实现方法却是千差万别,对些有...
  • · 按住Ctrl键点击顶级图层组的箭头来一次打开/关闭所有的顶级图层组。 · 按住Alt键点击图层组箭头来打开/关闭所有嵌套图层组。 · 按住Ctrl+Alt键点击顶级图层组的箭头来打开/关闭所有的顶级图层组和所有的嵌套...
  • ObjectArx图层操作总结 参考了网上收集资料,经过实测,ObjectArx2014和2018也可以用的,应该其他版本也没有问题的。文中的很多注释很详细,希望可以帮到新人。 1. 新建一个图层 CLayerOperator定义了NewLayer函数,...
  • 如何批量删除多个dwg指定图层,在cad中将多个文件中的一个固定图层批量删除掉,
  • arcpy图层相关操作

    2018-12-26 13:13:00
    import arcpy import os def main(): mxd = arcpy.mapping.MapDocument('current') #获取当前... df = arcpy.mapping.ListDataFrames(mxd, "图层")[0] #获取全部图层组 lyr= arcpy.mapping.ListLayers(mxd,...
  • 在内容列表中列出图层的方法有很多种:按绘制顺序、按源以及按图层是否可见或可选。单击选项卡顶部的图标可在这些分组方法之间进行切换。通过查看按钮(激活的按钮会高亮显示)以及内容列表上项目的结构,可以区分...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 23,332
精华内容 9,332
关键字:

如何关闭图层